# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.58"
name = "debcargo"
version = "2.6.1"
authors = [
    "Josh Triplett <josh@joshtriplett.org>",
    "Ximin Luo <infinity0@debian.org>",
    "Vasudev Kamath <vasudev@copyninja.info>",
]
description = "Create a Debian package from a Cargo crate."
readme = "README.md"
license = "MIT/Apache-2.0"
repository = "https://salsa.debian.org/rust-team/debcargo"

[dependencies.ansi_term]
version = "0.12"

[dependencies.anyhow]
version = "1.0"

[dependencies.cargo]
version = "0.63"

[dependencies.chrono]
version = "0.4"

[dependencies.clap]
version = "4.4.1"
features = [
    "cargo",
    "derive",
    "wrap_help",
]

[dependencies.env_logger]
version = "0.9"

[dependencies.filetime]
version = "0.2"

[dependencies.flate2]
version = "1"

[dependencies.git2]
version = "0.14"

[dependencies.glob]
version = "0.3"

[dependencies.itertools]
version = "0.10"

[dependencies.log]
version = "0.4"

[dependencies.regex]
version = "1.0"

[dependencies.semver]
version = "1"

[dependencies.serde]
version = "1"

[dependencies.serde_derive]
version = "1"

[dependencies.tar]
version = "0.4"

[dependencies.tempfile]
version = "3"

[dependencies.textwrap]
version = "0.16"

[dependencies.toml]
version = "0.5"

[dependencies.walkdir]
version = "2"
